Debian Bug report logs - #611314
installation-reports: SunFire V120 net install does not load sym53c8xx automatically

version graph

Package: kernel-wedge; Maintainer for kernel-wedge is Debian Install System Team <debian-boot@lists.debian.org>; Source for kernel-wedge is src:kernel-wedge.

Reported by: Richard Mortimer <richm@oldelvet.org.uk>

Date: Thu, 27 Jan 2011 23:36:02 UTC

Severity: minor

Tags: d-i

Merged with 595733, 601795

Fixed in versions hw-detect/1.85, hw-detect/1.84+squeeze1

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#611314; Package installation-reports. (Thu, 27 Jan 2011 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Thu, 27 Jan 2011 23:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: installation-reports: SunFire V120 net install does not load sym53c8xx automatically
Date: Thu, 27 Jan 2011 23:32:50 +0000
Package: installation-reports
Severity: normal



-- Package-specific info:

Boot method: network
Image version: http://ftp.nl.debian.org/debian/dists/testing/main/installer-sparc/current/images/netboot/boot.img dated 21:46 19-01-11 size 9750128
Date: Thu 27 Jan 23:00 GMT (approx)

Machine: SunFire V120
Partitions: <df -Tl will do; the raw partition table is preferred>


Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [E]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [O]
Overall install:        [O]

Comments/Problems:

The installer boots but reports that

"No disk drive was detected. If you know the name of the driver need
 your disk drive, you can select it from the list."

I am able to select the sym53c8xx driver and it then finds the disks ok.

The rest of the installation then proceeds without a problem.


-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20110106+b1"
X_INSTALLATION_MEDIUM=netboot

==============================================
Installer hardware-summary:
==============================================
uname -a: Linux debian 2.6.32-5-sparc64 #1 Fri Dec 10 16:11:52 UTC 2010 sparc64 GNU/Linux
lspci -knn: 00:01.0 PCI bridge [0604]: Oracle Corporation Simba Advanced PCI Bridge [108e:5000] (rev 13)
lspci -knn: 00:01.1 PCI bridge [0604]: Oracle Corporation Simba Advanced PCI Bridge [108e:5000] (rev 13)
lspci -knn: 01:03.0 Non-VGA unclassified device [0000]: ALi Corporation M7101 Power Management Controller [PMU] [10b9:7101]
lspci -knn: 01:05.1 Ethernet controller [0200]: Oracle Corporation RIO 10/100 Ethernet [eri] [108e:1101] (rev 01)
lspci -knn: 	Kernel driver in use: gem
lspci -knn: 01:05.3 USB Controller [0c03]: Oracle Corporation RIO USB [108e:1103] (rev 01)
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 01:07.0 ISA bridge [0601]: ALi Corporation M1533/M1535/M1543 PCI to ISA Bridge [Aladdin IV/V/V+] [10b9:1533]
lspci -knn: 	Subsystem: ALi Corporation M1533/M1535/M1543 PCI to ISA Bridge [Aladdin IV/V/V+] [10b9:1533]
lspci -knn: 01:0c.0 Bridge [0680]: Oracle Corporation RIO EBUS [108e:1100] (rev 01)
lspci -knn: 01:0c.1 Ethernet controller [0200]: Oracle Corporation RIO 10/100 Ethernet [eri] [108e:1101] (rev 01)
lspci -knn: 	Kernel driver in use: gem
lspci -knn: 01:0c.3 USB Controller [0c03]: Oracle Corporation RIO USB [108e:1103] (rev 01)
lspci -knn: 	Kernel driver in use: ohci_hcd
lspci -knn: 01:0d.0 IDE interface [0101]: ALi Corporation M5229 IDE [10b9:5229] (rev c3)
lspci -knn: 	Kernel driver in use: ALI15x3_IDE
lspci -knn: 02:05.0 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 61)
lspci -knn: 	Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 02:05.1 USB Controller [0c03]: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038] (rev 61)
lspci -knn: 	Subsystem: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller [1106:3038]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 02:05.2 USB Controller [0c03]: VIA Technologies, Inc. USB 2.0 [1106:3104] (rev 63)
lspci -knn: 	Subsystem: VIA Technologies, Inc. USB 2.0 [1106:3104]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 02:05.3 FireWire (IEEE 1394) [0c00]: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044] (rev 46)
lspci -knn: 	Subsystem: VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller [1106:3044]
lspci -knn: 02:08.0 SCSI storage controller [0100]: LSI Logic / Symbios Logic 53C896/897 [1000:000b] (rev 07)
lspci -knn: 	Subsystem: LSI Logic / Symbios Logic Device [1000:1000]
lspci -knn: 	Kernel driver in use: sym53c8xx
lspci -knn: 02:08.1 SCSI storage controller [0100]: LSI Logic / Symbios Logic 53C896/897 [1000:000b] (rev 07)
lspci -knn: 	Subsystem: LSI Logic / Symbios Logic Device [1000:1000]
lspci -knn: 	Kernel driver in use: sym53c8xx
usb-list: 
usb-list: Bus 01 Device 01: EHCI Host Controller [1d6b:0002]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-sparc64 ehci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 02 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 03 Device 01: OHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 04 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
usb-list: 
usb-list: Bus 05 Device 01: UHCI Host Controller [1d6b:0001]
usb-list:    Level 00 Parent 00 Port 00  Class 09(hub  ) Subclass 00 Protocol 00
usb-list:    Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
usb-list:    Interface 00: Class 09(hub  ) Subclass 00 Protocol 00 Driver hub
prtconf: System Configuration:  Sun Microsystems  sun4u
prtconf: Memory size: 2048 Megabytes
prtconf: System Peripherals (Software Nodes):
prtconf: 
prtconf: SUNW,UltraAX-i2
prtconf:     packages (driver probably installed)
prtconf:         terminal-emulator (driver probably installed)
prtconf:         deblocker (driver probably installed)
prtconf:         obp-tftp (driver probably installed)
prtconf:         disk-label (driver probably installed)
prtconf:         SUNW,builtin-drivers (driver probably installed)
prtconf:         dropins (driver probably installed)
prtconf:         kbd-translator (driver probably installed)
prtconf:     chosen (driver probably installed)
prtconf:     openprom (driver probably installed)
prtconf:         client-services (driver probably installed)
prtconf:     options (driver probably installed)
prtconf:     aliases (driver probably installed)
prtconf:     memory (driver probably installed)
prtconf:     virtual-memory (driver probably installed)
prtconf:     pci (driver probably installed)
prtconf:         pci (driver probably installed)
prtconf:             ebus (driver probably installed)
prtconf:                 flashprom (driver probably installed)
prtconf:                 eeprom (driver probably installed)
prtconf:                 idprom (driver probably installed)
prtconf:                 SUNW,lomh (driver probably installed)
prtconf:             pmu (driver probably installed)
prtconf:                 i2c (driver probably installed)
prtconf:                     temperature (driver probably installed)
prtconf:                     dimm (driver probably installed)
prtconf:                     dimm (driver probably installed)
prtconf:                     dimm (driver probably installed)
prtconf:                     dimm (driver probably installed)
prtconf:                     i2c-nvram (driver probably installed)
prtconf:                         idprom (driver probably installed)
prtconf:                     motherboard-fru (driver probably installed)
prtconf:                 fan-control (driver probably installed)
prtconf:             lomp (driver probably installed)
prtconf:             isa (driver probably installed)
prtconf:                 power (driver probably installed)
prtconf:                 serial (driver probably installed)
prtconf:                 serial (driver probably installed)
prtconf:             network (driver probably installed)
prtconf:             usb (driver probably installed)
prtconf:             ide (driver probably installed)
prtconf:                 disk (driver probably installed)
prtconf:                 cdrom (driver probably installed)
prtconf:             network (driver probably installed)
prtconf:             usb (driver probably installed)
prtconf:         pci (driver probably installed)
prtconf:             scsi (driver probably installed)
prtconf:                 disk (driver probably installed)
prtconf:                 tape (driver probably installed)
prtconf:             scsi (driver probably installed)
prtconf:                 disk (driver probably installed)
prtconf:                 tape (driver probably installed)
prtconf:             usb (driver probably installed)
prtconf:             usb (driver probably installed)
prtconf:             usb (driver probably installed)
prtconf:             firewire (driver probably installed)
prtconf:     SUNW,UltraSPARC-IIe (driver probably installed)
lsmod: Module                  Size  Used by
lsmod: dm_mod                 55620  0 
lsmod: raid1                  18647  0 
lsmod: md_mod                 82034  1 raid1
lsmod: xfs                   457943  0 
lsmod: exportfs                3090  1 xfs
lsmod: jfs                   176717  0 
lsmod: ext4                  319891  0 
lsmod: jbd2                   63956  1 ext4
lsmod: crc16                   1295  1 ext4
lsmod: ext3                  124832  1 
lsmod: jbd                    34176  1 ext3
lsmod: vfat                    9114  0 
lsmod: fat                    46019  1 vfat
lsmod: ext2                   65331  1 
lsmod: mbcache                 5131  3 ext4,ext3,ext2
lsmod: sd_mod                 31604  4 
lsmod: crc_t10dif              1292  1 sd_mod
lsmod: ata_generic             3199  0 
lsmod: libata                147511  1 ata_generic
lsmod: sym53c8xx              71569  3 
lsmod: alim15x3                4002  0 
lsmod: scsi_transport_spi     20729  1 sym53c8xx
lsmod: usb_storage            41943  0 
lsmod: scsi_mod              132181  5 sd_mod,libata,sym53c8xx,scsi_transport_spi,usb_storage
lsmod: ohci_hcd               18659  0 
lsmod: uhci_hcd               20375  0 
lsmod: ehci_hcd               33929  0 
lsmod: usbcore               117158  5 usb_storage,ohci_hcd,uhci_hcd,ehci_hcd
lsmod: sungem                 25719  0 
lsmod: sungem_phy              9430  1 sungem
lsmod: nls_base                6649  4 jfs,vfat,fat,usbcore
df: Filesystem           1K-blocks      Used Available Use% Mounted on
df: tmpfs
df:                        1026904        80   1026824   0% /dev
df: /dev/sdb2
df:                       33364448    655456  31014136   2% /target
df: /dev/sdb1
df:                          90329     12634     72876  15% /target/boot
df: /dev/sdb2
df:                       33364448    655456  31014136   2% /dev/.static/dev
df: tmpfs
df:                        1026904        80   1026824   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:      2053816       767816      1286000            0       103440
free:  Swap:      1566320            0      1566320
free: Total:      3620136       767816      2852320
/proc/cmdline: 
/proc/cpuinfo: cpu		: TI UltraSparc IIe (Hummingbird)
/proc/cpuinfo: fpu		: UltraSparc IIe integrated FPU
/proc/cpuinfo: pmu		: ultra12
/proc/cpuinfo: prom		: OBP 4.0.12 2002/01/08 13:01
/proc/cpuinfo: type		: sun4u
/proc/cpuinfo: ncpus probed	: 1
/proc/cpuinfo: ncpus active	: 1
/proc/cpuinfo: D$ parity tl1	: 0
/proc/cpuinfo: I$ parity tl1	: 0
/proc/cpuinfo: Cpu0ClkTck	: 00000000269fb200
/proc/cpuinfo: MMU Type	: Spitfire
/proc/ioports: 1fe02000000-1fe02ffffff : /pci@1f,0
/proc/ioports:   1fe020002e8-1fe020002ef : su
/proc/ioports:   1fe020003f8-1fe020003ff : su
/proc/ioports:   1fe02000400-1fe02000407 : alim15x3
/proc/ioports:   1fe02000408-1fe0200040f : alim15x3
/proc/ioports:   1fe02000410-1fe02000417 : alim15x3
/proc/ioports:   1fe02000418-1fe0200041f : alim15x3
/proc/ioports:   1fe02000420-1fe0200042f : alim15x3
/proc/ioports:   1fe02002000-1fe02002003 : power
/proc/ioports:   1fe02c00000-1fe02c000ff : sym53c8xx
/proc/ioports:   1fe02c00100-1fe02c001ff : sym53c8xx
/proc/ioports:   1fe02c00200-1fe02c0021f : uhci_hcd
/proc/ioports:   1fe02c00220-1fe02c0023f : uhci_hcd
/proc/iomem: 1ff00000000-1ffffffffff : /pci@1f,0
/proc/iomem:   1ff00002000-1ff00003fff : sym53c8xx
/proc/iomem:   1ff00004000-1ff00005fff : sym53c8xx
/proc/iomem:   1ff00006000-1ff00007fff : sym53c8xx
/proc/iomem:   1ff00008000-1ff00009fff : sym53c8xx
/proc/iomem:   1ff0000a000-1ff0000bfff : ehci_hcd
/proc/iomem:   1ff000a0000-1ff000bffff : Video RAM area
/proc/iomem:   1ff000c0000-1ff000c7fff : Video ROM
/proc/iomem:   1ff000f0000-1ff000fffff : System ROM
/proc/iomem:   1ffc0000000-1ffdfffffff : IOMMU
/proc/iomem:   1ffe0400000-1ffe041ffff : sungem
/proc/iomem:   1ffe0440000-1ffe045ffff : sungem
/proc/iomem:   1ffe2000000-1ffe2ffffff : ohci_hcd
/proc/iomem:   1ffe5000000-1ffe5ffffff : ohci_hcd
/proc/iomem:   1fff1000000-1fff1001fff : eeprom
/proc/interrupts:            CPU0       
/proc/interrupts:   0:     196360     <NULL>  timer
/proc/interrupts:   4:          0      sun4u  power
/proc/interrupts:   5:       9121      sun4u  su(serial)
/proc/interrupts:   6:      85795      sun4u  eth0
/proc/interrupts:   7:          0      sun4u  ohci_hcd:usb2
/proc/interrupts:   8:          0      sun4u  ide0, ide1
/proc/interrupts:  10:          0      sun4u  ohci_hcd:usb3
/proc/interrupts:  11:      46578      sun4u  sym53c8xx, sym53c8xx
/proc/interrupts:  12:          0      sun4u  uhci_hcd:usb4
/proc/interrupts:  13:          0      sun4u  uhci_hcd:usb5
/proc/interrupts:  14:          0      sun4u  ehci_hcd:usb1
/proc/interrupts: NMI:          0      Non-maskable interrupts
/proc/meminfo: MemTotal:        2053816 kB
/proc/meminfo: MemFree:         1286016 kB
/proc/meminfo: Buffers:          103440 kB
/proc/meminfo: Cached:           573256 kB
/proc/meminfo: SwapCached:            0 kB
/proc/meminfo: Active:           295032 kB
/proc/meminfo: Inactive:         394088 kB
/proc/meminfo: Active(anon):      14776 kB
/proc/meminfo: Inactive(anon):        8 kB
/proc/meminfo: Active(file):     280256 kB
/proc/meminfo: Inactive(file):   394080 kB
/proc/meminfo: Unevictable:        2280 kB
/proc/meminfo: Mlocked:               0 kB
/proc/meminfo: SwapTotal:       1566320 kB
/proc/meminfo: SwapFree:        1566320 kB
/proc/meminfo: Dirty:               712 kB
/proc/meminfo: Writeback:             0 kB
/proc/meminfo: AnonPages:         14736 kB
/proc/meminfo: Mapped:             2248 kB
/proc/meminfo: Shmem:                80 kB
/proc/meminfo: Slab:              58808 kB
/proc/meminfo: SReclaimable:      52808 kB
/proc/meminfo: SUnreclaim:         6000 kB
/proc/meminfo: KernelStack:         928 kB
/proc/meminfo: PageTables:          512 kB
/proc/meminfo: Quicklists:          976 kB
/proc/meminfo: NFS_Unstable:          0 kB
/proc/meminfo: Bounce:                0 kB
/proc/meminfo: WritebackTmp:          0 kB
/proc/meminfo: CommitLimit:     2593224 kB
/proc/meminfo: Committed_AS:      20872 kB
/proc/meminfo: VmallocTotal:   1069547520 kB
/proc/meminfo: VmallocUsed:        6064 kB
/proc/meminfo: VmallocChunk:   1069535168 kB
/proc/meminfo: HugePages_Total:       0
/proc/meminfo: HugePages_Free:        0
/proc/meminfo: HugePages_Rsvd:        0
/proc/meminfo: HugePages_Surp:        0
/proc/meminfo: Hugepagesize:       4096 kB

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: sparc (sparc64)

Kernel: Linux 2.6.32-5-sparc64
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash






Bug reassigned from package 'installation-reports' to 'kernel-wedge'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 23:51:02 GMT) Full text and rfc822 format available.

Forcibly Merged 595733 601795 611314. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 29 Jan 2011 23:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611314; Package kernel-wedge. (Thu, 10 Feb 2011 10:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 10 Feb 2011 10:51:05 GMT) Full text and rfc822 format available.

Message #14 received at 611314@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Jurij Smakov <jurij@wooyd.org>
Cc: debian-sparc@lists.debian.org, 611314@bugs.debian.org
Subject: SunFire V120 and sym53c8xx (was Re: Unofficial Squeeze installer image available)
Date: Thu, 10 Feb 2011 10:49:39 +0000
[Cc'd to 611314@bugs.debian.org]

On 10/02/2011 08:36, Jurij Smakov wrote:
> On Wed, Feb 09, 2011 at 11:07:49PM +0000, Richard Mortimer wrote:
>> On 09/02/2011 21:43, Jurij Smakov wrote:
... snip ...
>>>
>>> http://www.wooyd.org/debian/squeeze/
>>>
...
>
> Sure, I have just uploaded a netboot image to the same location.
>
>>> If you have encountered problems during Squeeze installation, please
>>> test this image and report the results, as a positive confirmation of
>>> fixes on a variety of different systems is essential for getting all
>>> these fixes into the first Squeeze point release.
>>>
>> I did spot a couple of issues with the installer when I gave squeeze
>> a try a couple of weeks back. I only got chance to file an
>> installation report about one of them
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611314
>> Its not a massive show stopper and has an easy workaround but if
>> that can be fixed then it will make others lives easier.
>
> Yeah, this bug was pointed out to me just yesterday. I don't know
> what's going on there yet, it appears that the PCI IDs of your
> card match the ones which are supported by the driver, so if module is
> not loaded at all there is probably something wrong with udev. At a
> point where it says it cannot detect the disks, can you drop back to
> shell and see whether the driver actually isn't loaded (as opposed to
> being loaded but failing to find the disks anyway)? Maybe there is
> something relevant showing up in dmesg or /var/log/messages?
>
> If not, I'll try to come up with some udev debugging commands to try
> and understand why this detection is failing.

I tested with your netboot image and it exhibits the same behaviour as 
the official installer. The sym53c8xx driver does get loaded 
automatically. I'm pretty sure that this is a timing issue. I confirmed 
that all of the /dev/sd* files were present along with /dev/disk/* entries.

Looking at the dmesg output I can see a 7 second delay whilst the 
driver/scsi subsystem settles itself down. (I also see a similar issue 
when I boot after install with raid/lvm setup - but both rootdelay & the 
scsi probe sync option fixes that). After dropping to the installer 
shell I can re-enter the "Detect disks" screen and it find them without 
problem.

Regards

Richard


Full console output below just in case it is useful.



BusyBox v1.17.1 (Debian 1:1.17.1-8) built-in shell (ash)
Enter 'help' for a list of built-in commands.

~ #
~ # lsmod
Module                  Size  Used by
sd_mod                 31548  0
crc_t10dif              1292  1 sd_mod
ata_generic             3199  0
libata                147511  1 ata_generic
sym53c8xx              71569  0
scsi_transport_spi     20705  1 sym53c8xx
alim15x3                4002  0
usb_storage            41983  0
scsi_mod              132037  5 
sd_mod,libata,sym53c8xx,scsi_transport_spi,usb_storage
ohci_hcd               18603  0
uhci_hcd               20343  0
ehci_hcd               33777  0
sungem                 25663  0
usbcore               117062  5 usb_storage,ohci_hcd,uhci_hcd,ehci_hcd
nls_base                6649  1 usbcore
sungem_phy              9430  1 sungem
~ #
~ # ls /dev
block               shm                 tty42
bsg                 stderr              tty43
bus                 stdin               tty44
char                stdout              tty45
console             tty                 tty46
core                tty0                tty47
cpu_dma_latency     tty1                tty48
disk                tty10               tty49
fd                  tty11               tty5
full                tty12               tty50
input               tty13               tty51
kmsg                tty14               tty52
log                 tty15               tty53
loop0               tty16               tty54
mdesc               tty17               tty55
mem                 tty18               tty56
net                 tty19               tty57
network_latency     tty2                tty58
network_throughput  tty20               tty59
null                tty21               tty6
openprom            tty22               tty60
port                tty23               tty61
ppp                 tty24               tty62
psaux               tty25               tty63
ptmx                tty26               tty7
pts                 tty27               tty8
random              tty28               tty9
rtc0                tty29               ttyS0
sda                 tty3                ttyS1
sda1                tty30               urandom
sda2                tty31               vcs
sda3                tty32               vcs1
sda7                tty33               vcs2
sdb                 tty34               vcs3
sdb1                tty35               vcs4
sdb2                tty36               vcsa
sdb3                tty37               vcsa1
sdb4                tty38               vcsa2
sdb5                tty39               vcsa3
sdb6                tty4                vcsa4
sdb7                tty40               vga_arbiter
sdb8                tty41               zero
~ # ls -l /dev/sd*
brw-rw-rw-    1 root     root        8,   0 Feb 10 10:20 /dev/sda
brw-rw-rw-    1 root     root        8,   1 Feb 10 10:20 /dev/sda1
brw-rw-rw-    1 root     root        8,   2 Feb 10 10:20 /dev/sda2
brw-rw-rw-    1 root     root        8,   3 Feb 10 10:20 /dev/sda3
brw-rw-rw-    1 root     root        8,   7 Feb 10 10:20 /dev/sda7
brw-rw-rw-    1 root     root        8,  16 Feb 10 10:20 /dev/sdb
brw-rw-rw-    1 root     root        8,  17 Feb 10 10:20 /dev/sdb1
brw-rw-rw-    1 root     root        8,  18 Feb 10 10:20 /dev/sdb2
brw-rw-rw-    1 root     root        8,  19 Feb 10 10:20 /dev/sdb3
brw-rw-rw-    1 root     root        8,  20 Feb 10 10:20 /dev/sdb4
brw-rw-rw-    1 root     root        8,  21 Feb 10 10:20 /dev/sdb5
brw-rw-rw-    1 root     root        8,  22 Feb 10 10:20 /dev/sdb6
brw-rw-rw-    1 root     root        8,  23 Feb 10 10:20 /dev/sdb7
brw-rw-rw-    1 root     root        8,  24 Feb 10 10:20 /dev/sdb8
~ # ls -l /dev/disk/
drwxr-xr-x    2 root     root           280 Feb 10 10:20 by-id
drwxr-xr-x    2 root     root           280 Feb 10 10:20 by-path
drwxr-xr-x    2 root     root            60 Feb 10 10:20 by-uuid
~ # ls -l /dev/disk/*
/dev/disk/by-id:
lrwxrwxrwx    1 root     root             9 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436 -> ../../sdb
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part1 -> ../../sdb1
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part2 -> ../../sdb2
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part4 -> ../../sdb4
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part5 -> ../../sdb5
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part6 -> ../../sdb6
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part7 -> ../../sdb7
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-1HITACHI_DK32EJ-14NC_404W3436-part8 -> ../../sdb8
lrwxrwxrwx    1 root     root             9 Feb 10 10:20 
scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618 -> ../../sda
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part1 -> ../../sda1
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part2 -> ../../sda2
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part7 -> ../../sda7

/dev/disk/by-path:
lrwxrwxrwx    1 root     root             9 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:0:0 -> ../../sda
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:0:0-part1 -> ../../sda1
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:0:0-part2 -> ../../sda2
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:0:0-part7 -> ../../sda7
lrwxrwxrwx    1 root     root             9 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0 -> ../../sdb
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part1 -> ../../sdb1
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part2 -> ../../sdb2
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part4 -> ../../sdb4
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part5 -> ../../sdb5
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part6 -> ../../sdb6
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part7 -> ../../sdb7
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
pci-0000:02:08.0-scsi-0:0:1:0-part8 -> ../../sdb8

/dev/disk/by-uuid:
lrwxrwxrwx    1 root     root            10 Feb 10 10:20 
b58ad5ab-b4e8-40a5-9d5b-b2cabb7eb8b1 -> ../../sdb4
~ #
~ # lspci
00:01.0 PCI bridge: Oracle Corporation Simba Advanced PCI Bridge (rev 13)
00:01.1 PCI bridge: Oracle Corporation Simba Advanced PCI Bridge (rev 13)
01:03.0 Non-VGA unclassified device: ALi Corporation M7101 Power 
Management Controller [PMU]
01:05.1 Ethernet controller: Oracle Corporation RIO 10/100 Ethernet 
[eri] (rev 01)
01:05.3 USB Controller: Oracle Corporation RIO USB (rev 01)
01:07.0 ISA bridge: ALi Corporation M1533/M1535/M1543 PCI to ISA Bridge 
[Aladdin IV/V/V+]
01:0c.0 Bridge: Oracle Corporation RIO EBUS (rev 01)
01:0c.1 Ethernet controller: Oracle Corporation RIO 10/100 Ethernet 
[eri] (rev 01)
01:0c.3 USB Controller: Oracle Corporation RIO USB (rev 01)
01:0d.0 IDE interface: ALi Corporation M5229 IDE (rev c3)
02:05.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 
Controller (rev 61)
02:05.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 
Controller (rev 61)
02:05.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63)
02:05.3 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire 
II(M)] IEEE 1394 OHCI Controller (rev 46)
02:08.0 SCSI storage controller: LSI Logic / Symbios Logic 53C896/897 
(rev 07)
02:08.1 SCSI storage controller: LSI Logic / Symbios Logic 53C896/897 
(rev 07)
~ #



[  200.468985] mice: PS/2 mouse device common for all mice
[  200.538418] rtc-m48t59 rtc-m48t59.0: rtc core: registered m48t59 as rtc0
[  200.628329] TCP cubic registered
[  200.671447] NET: Registered protocol family 10
[  200.732131] lo: Disabled Privacy Extensions
[  200.788794] Mobile IPv6
[  200.820869] NET: Registered protocol family 17
[  200.879755] registered taskstats version 1
[  200.934254] rtc-m48t59 rtc-m48t59.0: setting system clock to 
2011-02-10 10:16:44 UTC (1297333004)
[  201.051070] Initalizing network drop monitor service
[  201.711894] usbcore: registered new interface driver usbfs
[  201.791254] sungem.c:v0.98 8/24/03 David S. Miller (davem@redhat.com)
[  201.876037] PCI: Enabling device: (0000:01:0c.1), cmd 146
[  201.877133] usbcore: registered new interface driver hub
[  201.949086] PHY ID: 437421, addr: 1
[  201.952526] eth0: Sun GEM (PCI) 10/100/1000BaseT Ethernet 
00:03:ba:2d:9e:0c
[  202.044179] eth0: Found Generic MII PHY
[  202.096002] usbcore: registered new device driver usb
[  202.177753] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[  202.267647] PHY ID: 437421, addr: 1
[  202.271488] eth1: Sun GEM (PCI) 10/100/1000BaseT Ethernet 
00:03:ba:2d:9e:0d
[  202.363094] eth1: Found Generic MII PHY
[  202.414713] PCI: Enabling device: (0000:02:05.2), cmd 2
[  202.414741] ehci_hcd 0000:02:05.2: EHCI Host Controller
[  202.484009] ehci_hcd 0000:02:05.2: new USB bus registered, assigned 
bus number 1
[  202.633387] ehci_hcd 0000:02:05.2: Enabling legacy PCI PM
[  202.707958] ehci_hcd 0000:02:05.2: irq 14, io mem 0x1ff0000a000
[  202.839880] ehci_hcd 0000:02:05.2: USB 2.0 started, EHCI 1.00
[  202.916606] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[  203.005972] usb usb1: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[  203.101045] usb usb1: Product: EHCI Host Controller
[  203.165333] usb usb1: Manufacturer: Linux 2.6.32-5-sparc64 ehci_hcd
[  203.247778] usb usb1: SerialNumber: 0000:02:05.2
[  203.310069] usb usb1: configuration #1 chosen from 1 choice
[  203.384212] hub 1-0:1.0: USB hub found
[  203.434393] hub 1-0:1.0: 4 ports detected
[  203.501542] uhci_hcd: USB Universal Host Controller Interface driver
[  203.602188] PCI: Enabling device: (0000:02:05.0), cmd 1
[  203.602227] uhci_hcd 0000:02:05.0: UHCI Host Controller
[  203.681193] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[  203.766667] uhci_hcd 0000:02:05.0: new USB bus registered, assigned 
bus number 2
[  203.864910] PCI: Enabling device: (0000:01:0c.3), cmd 2
[  203.864948] ohci_hcd 0000:01:0c.3: OHCI Host Controller
[  203.934099] ohci_hcd 0000:01:0c.3: new USB bus registered, assigned 
bus number 3
[  204.032201] uhci_hcd 0000:02:05.0: irq 12, io base 0x1fe02c00200
[  204.111891] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[  204.201175] usb usb2: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[  204.296244] usb usb2: Product: UHCI Host Controller
[  204.360398] usb usb2: Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
[  204.443112] eth0: Link is up at 100 Mbps, full-duplex.
[  204.510707] usb usb2: SerialNumber: 0000:02:05.0
[  204.572320] ohci_hcd 0000:01:0c.3: irq 7, io mem 0x1ffe2000000
[  204.650168] usb usb2: configuration #1 chosen from 1 choice
[  204.723753] eth1: Link is up at 100 Mbps, full-duplex.
[  204.796468] hub 2-0:1.0: USB hub found
[  204.845805] hub 2-0:1.0: 2 ports detected
[  204.899404] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[  204.988762] usb usb3: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[  205.083852] usb usb3: Product: OHCI Host Controller
[  205.147981] usb usb3: Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
[  205.230464] usb usb3: SerialNumber: 0000:01:0c.3
[  205.292050] PCI: Enabling device: (0000:02:05.1), cmd 1
[  205.292079] uhci_hcd 0000:02:05.1: UHCI Host Controller
[  205.361767] usb usb3: configuration #1 chosen from 1 choice
[  205.436254] hub 3-0:1.0: USB hub found
[  205.485581] hub 3-0:1.0: 4 ports detected
[  205.539131] uhci_hcd 0000:02:05.1: new USB bus registered, assigned 
bus number 4
[  205.636981] PCI: Enabling device: (0000:01:05.3), cmd 2
[  205.637014] ohci_hcd 0000:01:05.3: OHCI Host Controller
[  205.706604] ohci_hcd 0000:01:05.3: new USB bus registered, assigned 
bus number 5
[  205.804356] uhci_hcd 0000:02:05.1: irq 13, io base 0x1fe02c00220
[  205.884207] ohci_hcd 0000:01:05.3: irq 10, io mem 0x1ffe5000000
[  205.962888] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[  206.052196] usb usb4: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[  206.147258] usb usb4: Product: UHCI Host Controller
[  206.211407] usb usb4: Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
[  206.293889] usb usb4: SerialNumber: 0000:02:05.1
[  206.360014] usb usb4: configuration #1 chosen from 1 choice
[  206.434027] hub 4-0:1.0: USB hub found
[  206.483726] hub 4-0:1.0: 2 ports detected
[  206.537071] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[  206.626452] usb usb5: New USB device strings: Mfr=3, Product=2, 
SerialNumber=1
[  206.721511] usb usb5: Product: OHCI Host Controller
[  206.785661] usb usb5: Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
[  206.868146] usb usb5: SerialNumber: 0000:01:05.3
[  206.945846] usb usb5: configuration #1 chosen from 1 choice
[  207.020142] hub 5-0:1.0: USB hub found
[  207.074466] hub 5-0:1.0: 4 ports detected
[  255.161214] SCSI subsystem initialized
[  255.191455] Initializing USB Mass Storage driver...
[  255.191654] usbcore: registered new interface driver usb-storage
[  255.192726] USB Mass Storage support registered.
[  258.088311] eth0: Link is up at 100 Mbps, full-duplex.
[  258.088328] eth0: Pause is disabled
[  258.133052] eth1: Link is up at 100 Mbps, full-duplex.
[  258.133071] eth1: Pause is disabled
[  259.266698] eth0: Link is up at 100 Mbps, full-duplex.
[  259.266717] eth0: Pause is disabled
[  270.246218] eth0: Link is up at 100 Mbps, full-duplex.
[  270.246237] eth0: Pause is disabled
[  293.593968] lo: Disabled Privacy Extensions
[  293.629428] eth0: Link is up at 100 Mbps, full-duplex.
[  293.629445] eth0: Pause is disabled
[  311.225451] lo: Disabled Privacy Extensions
[  311.260996] eth0: Link is up at 100 Mbps, full-duplex.
[  311.261015] eth0: Pause is disabled
[  435.628895] alim15x3 0000:01:0d.0: IDE controller (0x10b9:0x5229 rev 
0xc3)
[  435.628935] PCI: Enabling device: (0000:01:0d.0), cmd 5
[  435.629060] alim15x3 0000:01:0d.0: 100% native mode on irq 8
[  435.629083]     ide0: BM-DMA at 0x1fe02000420-0x1fe02000427
[  435.629152]     ide1: BM-DMA at 0x1fe02000428-0x1fe0200042f
[  435.629206] Probing IDE interface ide0...
[  435.632190] ide0: no devices on the port
[  435.633249] Probing IDE interface ide1...
[  435.663719] PCI: Enabling device: (0000:02:08.0), cmd 147
[  435.880411] sym0: <896> rev 0x7 at pci 0000:02:08.0 irq 11
[  435.883300] sym0: No NVRAM, ID 7, Fast-40, LVD, parity checking
[  435.890503] sym0: SCSI BUS has been reset.
[  435.890564] scsi0 : sym-2.2.3
[  435.892106] PCI: Enabling device: (0000:02:08.1), cmd 147
[  436.108204] sym1: <896> rev 0x7 at pci 0000:02:08.1 irq 11
[  436.111533] sym1: No NVRAM, ID 7, Fast-40, LVD, parity checking
[  436.118701] sym1: SCSI BUS has been reset.
[  436.118775] scsi1 : sym-2.2.3
[  436.556103] ide0 at 0x1fe02000400-0x1fe02000407,0x1fe0200041a on irq 8
[  436.556158] ide1 at 0x1fe02000410-0x1fe02000417,0x1fe0200040a on irq 8
[  436.665718] libata version 3.00 loaded.
[  438.901946] scsi 0:0:0:0: Direct-Access     SEAGATE  ST318404LSUN18G 
 5221 PQ: 0 ANSI: 3
[  438.901985] scsi target0:0:0: tagged command queuing enabled, command 
queue depth 16.
[  438.902027] scsi target0:0:0: Beginning Domain Validation
[  438.910250] scsi target0:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, 
offset 31)
[  438.913914] scsi target0:0:0: Domain Validation skipping write tests
[  438.913927] scsi target0:0:0: Ending Domain Validation
[  438.923619] scsi 0:0:1:0: Direct-Access     HITACHI  DK32EJ14NSUN146G 
PQ0B PQ: 0 ANSI: 3
[  438.923640] scsi target0:0:1: tagged command queuing enabled, command 
queue depth 16.
[  438.923673] scsi target0:0:1: Beginning Domain Validation
[  438.948952] scsi target0:0:1: FAST-40 WIDE SCSI 80.0 MB/s ST (25 ns, 
offset 31)
[  438.961993] scsi target0:0:1: Domain Validation skipping write tests
[  438.962005] scsi target0:0:1: Ending Domain Validation
[  442.871430] sd 0:0:0:0: [sda] 35378533 512-byte logical blocks: (18.1 
GB/16.8 GiB)
[  442.875606] sd 0:0:0:0: [sda] Write Protect is off
[  442.875623] sd 0:0:0:0: [sda] Mode Sense: cf 00 10 08
[  442.877279] sd 0:0:1:0: [sdb] 286739329 512-byte logical blocks: (146 
GB/136 GiB)
[  442.878836] sd 0:0:0:0: [sda] Write cache: disabled, read cache: 
enabled, supports DPO and FUA
[  442.883570]  sda:
[  442.893149] sd 0:0:1:0: [sdb] Write Protect is off
[  442.893165] sd 0:0:1:0: [sdb] Mode Sense: fb 00 10 08
[  442.894816]  sda1 sda2 sda3 sda7
[  442.900613] sd 0:0:1:0: [sdb] Write cache: disabled, read cache: 
enabled, supports DPO and FUA
[  442.904536] sd 0:0:0:0: [sda] Attached SCSI disk
[  442.923823]  sdb: sdb1 sdb2 sdb3 sdb4 sdb5 sdb6 sdb7 sdb8
[  442.962062] sd 0:0:1:0: [sdb] Attached SCSI disk
~ #





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611314; Package kernel-wedge. (Sat, 19 Feb 2011 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 19 Feb 2011 23:09:03 GMT) Full text and rfc822 format available.

Message #19 received at 611314@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: debian-sparc@lists.debian.org, 611314@bugs.debian.org
Subject: Re: SunFire V120 and sym53c8xx (was Re: Unofficial Squeeze installer image available)
Date: Sat, 19 Feb 2011 23:06:04 +0000
On Thu, Feb 10, 2011 at 10:49:39AM +0000, Richard Mortimer wrote:
> [Cc'd to 611314@bugs.debian.org]
> 
> On 10/02/2011 08:36, Jurij Smakov wrote:
> >On Wed, Feb 09, 2011 at 11:07:49PM +0000, Richard Mortimer wrote:
> >>On 09/02/2011 21:43, Jurij Smakov wrote:
> ... snip ...
> >>>
> >>>http://www.wooyd.org/debian/squeeze/
> >>>
> ...
> >
> >Sure, I have just uploaded a netboot image to the same location.
> >
> >>>If you have encountered problems during Squeeze installation, please
> >>>test this image and report the results, as a positive confirmation of
> >>>fixes on a variety of different systems is essential for getting all
> >>>these fixes into the first Squeeze point release.
> >>>
> >>I did spot a couple of issues with the installer when I gave squeeze
> >>a try a couple of weeks back. I only got chance to file an
> >>installation report about one of them
> >>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611314
> >>Its not a massive show stopper and has an easy workaround but if
> >>that can be fixed then it will make others lives easier.
> >
> >Yeah, this bug was pointed out to me just yesterday. I don't know
> >what's going on there yet, it appears that the PCI IDs of your
> >card match the ones which are supported by the driver, so if module is
> >not loaded at all there is probably something wrong with udev. At a
> >point where it says it cannot detect the disks, can you drop back to
> >shell and see whether the driver actually isn't loaded (as opposed to
> >being loaded but failing to find the disks anyway)? Maybe there is
> >something relevant showing up in dmesg or /var/log/messages?
> >
> >If not, I'll try to come up with some udev debugging commands to try
> >and understand why this detection is failing.
> 
> I tested with your netboot image and it exhibits the same behaviour
> as the official installer. The sym53c8xx driver does get loaded
> automatically. I'm pretty sure that this is a timing issue. I
> confirmed that all of the /dev/sd* files were present along with
> /dev/disk/* entries.

Ok, I think the magic happens in the disk_found() function in 
disk-detect.sh [0]. It looks like it will retry up to 3 times to see 
whether devices have showed up (with list-devices disk), sleeping 2 
seconds between attempts... If it takes up to 7 seconds for driver to 
initialize itself, we might be cutting it just a bit too short. 
Unfortunately, I don't see how we can test it easily, as neither 
netboot image nor miniiso contain the udebs, they are downloaded off 
the network.

[0] http://git.debian.org/?p=d-i/hw-detect.git;a=blob_plain;f=disk-detect.sh;hb=HEAD

> Looking at the dmesg output I can see a 7 second delay whilst the
> driver/scsi subsystem settles itself down. (I also see a similar
> issue when I boot after install with raid/lvm setup - but both
> rootdelay & the scsi probe sync option fixes that). After dropping
> to the installer shell I can re-enter the "Detect disks" screen and
> it find them without problem.
> 
> Regards
> 
> Richard
> 
> 
> Full console output below just in case it is useful.
> 
> 
> 
> BusyBox v1.17.1 (Debian 1:1.17.1-8) built-in shell (ash)
> Enter 'help' for a list of built-in commands.
> 
> ~ #
> ~ # lsmod
> Module                  Size  Used by
> sd_mod                 31548  0
> crc_t10dif              1292  1 sd_mod
> ata_generic             3199  0
> libata                147511  1 ata_generic
> sym53c8xx              71569  0
> scsi_transport_spi     20705  1 sym53c8xx
> alim15x3                4002  0
> usb_storage            41983  0
> scsi_mod              132037  5
> sd_mod,libata,sym53c8xx,scsi_transport_spi,usb_storage
> ohci_hcd               18603  0
> uhci_hcd               20343  0
> ehci_hcd               33777  0
> sungem                 25663  0
> usbcore               117062  5 usb_storage,ohci_hcd,uhci_hcd,ehci_hcd
> nls_base                6649  1 usbcore
> sungem_phy              9430  1 sungem
> ~ #
> ~ # ls /dev
> block               shm                 tty42
> bsg                 stderr              tty43
> bus                 stdin               tty44
> char                stdout              tty45
> console             tty                 tty46
> core                tty0                tty47
> cpu_dma_latency     tty1                tty48
> disk                tty10               tty49
> fd                  tty11               tty5
> full                tty12               tty50
> input               tty13               tty51
> kmsg                tty14               tty52
> log                 tty15               tty53
> loop0               tty16               tty54
> mdesc               tty17               tty55
> mem                 tty18               tty56
> net                 tty19               tty57
> network_latency     tty2                tty58
> network_throughput  tty20               tty59
> null                tty21               tty6
> openprom            tty22               tty60
> port                tty23               tty61
> ppp                 tty24               tty62
> psaux               tty25               tty63
> ptmx                tty26               tty7
> pts                 tty27               tty8
> random              tty28               tty9
> rtc0                tty29               ttyS0
> sda                 tty3                ttyS1
> sda1                tty30               urandom
> sda2                tty31               vcs
> sda3                tty32               vcs1
> sda7                tty33               vcs2
> sdb                 tty34               vcs3
> sdb1                tty35               vcs4
> sdb2                tty36               vcsa
> sdb3                tty37               vcsa1
> sdb4                tty38               vcsa2
> sdb5                tty39               vcsa3
> sdb6                tty4                vcsa4
> sdb7                tty40               vga_arbiter
> sdb8                tty41               zero
> ~ # ls -l /dev/sd*
> brw-rw-rw-    1 root     root        8,   0 Feb 10 10:20 /dev/sda
> brw-rw-rw-    1 root     root        8,   1 Feb 10 10:20 /dev/sda1
> brw-rw-rw-    1 root     root        8,   2 Feb 10 10:20 /dev/sda2
> brw-rw-rw-    1 root     root        8,   3 Feb 10 10:20 /dev/sda3
> brw-rw-rw-    1 root     root        8,   7 Feb 10 10:20 /dev/sda7
> brw-rw-rw-    1 root     root        8,  16 Feb 10 10:20 /dev/sdb
> brw-rw-rw-    1 root     root        8,  17 Feb 10 10:20 /dev/sdb1
> brw-rw-rw-    1 root     root        8,  18 Feb 10 10:20 /dev/sdb2
> brw-rw-rw-    1 root     root        8,  19 Feb 10 10:20 /dev/sdb3
> brw-rw-rw-    1 root     root        8,  20 Feb 10 10:20 /dev/sdb4
> brw-rw-rw-    1 root     root        8,  21 Feb 10 10:20 /dev/sdb5
> brw-rw-rw-    1 root     root        8,  22 Feb 10 10:20 /dev/sdb6
> brw-rw-rw-    1 root     root        8,  23 Feb 10 10:20 /dev/sdb7
> brw-rw-rw-    1 root     root        8,  24 Feb 10 10:20 /dev/sdb8
> ~ # ls -l /dev/disk/
> drwxr-xr-x    2 root     root           280 Feb 10 10:20 by-id
> drwxr-xr-x    2 root     root           280 Feb 10 10:20 by-path
> drwxr-xr-x    2 root     root            60 Feb 10 10:20 by-uuid
> ~ # ls -l /dev/disk/*
> /dev/disk/by-id:
> lrwxrwxrwx    1 root     root             9 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436 -> ../../sdb
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part1 -> ../../sdb1
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part2 -> ../../sdb2
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part4 -> ../../sdb4
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part5 -> ../../sdb5
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part6 -> ../../sdb6
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part7 -> ../../sdb7
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-1HITACHI_DK32EJ-14NC_404W3436-part8 -> ../../sdb8
> lrwxrwxrwx    1 root     root             9 Feb 10 10:20
> scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618 -> ../../sda
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part1 ->
> ../../sda1
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part2 ->
> ../../sda2
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> scsi-SSEAGATE_ST318404LSUN18G3BT064HY000010431618-part7 ->
> ../../sda7
> 
> /dev/disk/by-path:
> lrwxrwxrwx    1 root     root             9 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:0:0 -> ../../sda
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:0:0-part1 -> ../../sda1
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:0:0-part2 -> ../../sda2
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:0:0-part7 -> ../../sda7
> lrwxrwxrwx    1 root     root             9 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0 -> ../../sdb
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part1 -> ../../sdb1
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part2 -> ../../sdb2
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part4 -> ../../sdb4
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part5 -> ../../sdb5
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part6 -> ../../sdb6
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part7 -> ../../sdb7
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> pci-0000:02:08.0-scsi-0:0:1:0-part8 -> ../../sdb8
> 
> /dev/disk/by-uuid:
> lrwxrwxrwx    1 root     root            10 Feb 10 10:20
> b58ad5ab-b4e8-40a5-9d5b-b2cabb7eb8b1 -> ../../sdb4
> ~ #
> ~ # lspci
> 00:01.0 PCI bridge: Oracle Corporation Simba Advanced PCI Bridge (rev 13)
> 00:01.1 PCI bridge: Oracle Corporation Simba Advanced PCI Bridge (rev 13)
> 01:03.0 Non-VGA unclassified device: ALi Corporation M7101 Power
> Management Controller [PMU]
> 01:05.1 Ethernet controller: Oracle Corporation RIO 10/100 Ethernet
> [eri] (rev 01)
> 01:05.3 USB Controller: Oracle Corporation RIO USB (rev 01)
> 01:07.0 ISA bridge: ALi Corporation M1533/M1535/M1543 PCI to ISA
> Bridge [Aladdin IV/V/V+]
> 01:0c.0 Bridge: Oracle Corporation RIO EBUS (rev 01)
> 01:0c.1 Ethernet controller: Oracle Corporation RIO 10/100 Ethernet
> [eri] (rev 01)
> 01:0c.3 USB Controller: Oracle Corporation RIO USB (rev 01)
> 01:0d.0 IDE interface: ALi Corporation M5229 IDE (rev c3)
> 02:05.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB
> 1.1 Controller (rev 61)
> 02:05.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB
> 1.1 Controller (rev 61)
> 02:05.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63)
> 02:05.3 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8
> [Fire II(M)] IEEE 1394 OHCI Controller (rev 46)
> 02:08.0 SCSI storage controller: LSI Logic / Symbios Logic
> 53C896/897 (rev 07)
> 02:08.1 SCSI storage controller: LSI Logic / Symbios Logic
> 53C896/897 (rev 07)
> ~ #
> 
> 
> 
> [  200.468985] mice: PS/2 mouse device common for all mice
> [  200.538418] rtc-m48t59 rtc-m48t59.0: rtc core: registered m48t59 as rtc0
> [  200.628329] TCP cubic registered
> [  200.671447] NET: Registered protocol family 10
> [  200.732131] lo: Disabled Privacy Extensions
> [  200.788794] Mobile IPv6
> [  200.820869] NET: Registered protocol family 17
> [  200.879755] registered taskstats version 1
> [  200.934254] rtc-m48t59 rtc-m48t59.0: setting system clock to
> 2011-02-10 10:16:44 UTC (1297333004)
> [  201.051070] Initalizing network drop monitor service
> [  201.711894] usbcore: registered new interface driver usbfs
> [  201.791254] sungem.c:v0.98 8/24/03 David S. Miller (davem@redhat.com)
> [  201.876037] PCI: Enabling device: (0000:01:0c.1), cmd 146
> [  201.877133] usbcore: registered new interface driver hub
> [  201.949086] PHY ID: 437421, addr: 1
> [  201.952526] eth0: Sun GEM (PCI) 10/100/1000BaseT Ethernet
> 00:03:ba:2d:9e:0c
> [  202.044179] eth0: Found Generic MII PHY
> [  202.096002] usbcore: registered new device driver usb
> [  202.177753] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
> [  202.267647] PHY ID: 437421, addr: 1
> [  202.271488] eth1: Sun GEM (PCI) 10/100/1000BaseT Ethernet
> 00:03:ba:2d:9e:0d
> [  202.363094] eth1: Found Generic MII PHY
> [  202.414713] PCI: Enabling device: (0000:02:05.2), cmd 2
> [  202.414741] ehci_hcd 0000:02:05.2: EHCI Host Controller
> [  202.484009] ehci_hcd 0000:02:05.2: new USB bus registered,
> assigned bus number 1
> [  202.633387] ehci_hcd 0000:02:05.2: Enabling legacy PCI PM
> [  202.707958] ehci_hcd 0000:02:05.2: irq 14, io mem 0x1ff0000a000
> [  202.839880] ehci_hcd 0000:02:05.2: USB 2.0 started, EHCI 1.00
> [  202.916606] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
> [  203.005972] usb usb1: New USB device strings: Mfr=3, Product=2,
> SerialNumber=1
> [  203.101045] usb usb1: Product: EHCI Host Controller
> [  203.165333] usb usb1: Manufacturer: Linux 2.6.32-5-sparc64 ehci_hcd
> [  203.247778] usb usb1: SerialNumber: 0000:02:05.2
> [  203.310069] usb usb1: configuration #1 chosen from 1 choice
> [  203.384212] hub 1-0:1.0: USB hub found
> [  203.434393] hub 1-0:1.0: 4 ports detected
> [  203.501542] uhci_hcd: USB Universal Host Controller Interface driver
> [  203.602188] PCI: Enabling device: (0000:02:05.0), cmd 1
> [  203.602227] uhci_hcd 0000:02:05.0: UHCI Host Controller
> [  203.681193] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
> [  203.766667] uhci_hcd 0000:02:05.0: new USB bus registered,
> assigned bus number 2
> [  203.864910] PCI: Enabling device: (0000:01:0c.3), cmd 2
> [  203.864948] ohci_hcd 0000:01:0c.3: OHCI Host Controller
> [  203.934099] ohci_hcd 0000:01:0c.3: new USB bus registered,
> assigned bus number 3
> [  204.032201] uhci_hcd 0000:02:05.0: irq 12, io base 0x1fe02c00200
> [  204.111891] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
> [  204.201175] usb usb2: New USB device strings: Mfr=3, Product=2,
> SerialNumber=1
> [  204.296244] usb usb2: Product: UHCI Host Controller
> [  204.360398] usb usb2: Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
> [  204.443112] eth0: Link is up at 100 Mbps, full-duplex.
> [  204.510707] usb usb2: SerialNumber: 0000:02:05.0
> [  204.572320] ohci_hcd 0000:01:0c.3: irq 7, io mem 0x1ffe2000000
> [  204.650168] usb usb2: configuration #1 chosen from 1 choice
> [  204.723753] eth1: Link is up at 100 Mbps, full-duplex.
> [  204.796468] hub 2-0:1.0: USB hub found
> [  204.845805] hub 2-0:1.0: 2 ports detected
> [  204.899404] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
> [  204.988762] usb usb3: New USB device strings: Mfr=3, Product=2,
> SerialNumber=1
> [  205.083852] usb usb3: Product: OHCI Host Controller
> [  205.147981] usb usb3: Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
> [  205.230464] usb usb3: SerialNumber: 0000:01:0c.3
> [  205.292050] PCI: Enabling device: (0000:02:05.1), cmd 1
> [  205.292079] uhci_hcd 0000:02:05.1: UHCI Host Controller
> [  205.361767] usb usb3: configuration #1 chosen from 1 choice
> [  205.436254] hub 3-0:1.0: USB hub found
> [  205.485581] hub 3-0:1.0: 4 ports detected
> [  205.539131] uhci_hcd 0000:02:05.1: new USB bus registered,
> assigned bus number 4
> [  205.636981] PCI: Enabling device: (0000:01:05.3), cmd 2
> [  205.637014] ohci_hcd 0000:01:05.3: OHCI Host Controller
> [  205.706604] ohci_hcd 0000:01:05.3: new USB bus registered,
> assigned bus number 5
> [  205.804356] uhci_hcd 0000:02:05.1: irq 13, io base 0x1fe02c00220
> [  205.884207] ohci_hcd 0000:01:05.3: irq 10, io mem 0x1ffe5000000
> [  205.962888] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
> [  206.052196] usb usb4: New USB device strings: Mfr=3, Product=2,
> SerialNumber=1
> [  206.147258] usb usb4: Product: UHCI Host Controller
> [  206.211407] usb usb4: Manufacturer: Linux 2.6.32-5-sparc64 uhci_hcd
> [  206.293889] usb usb4: SerialNumber: 0000:02:05.1
> [  206.360014] usb usb4: configuration #1 chosen from 1 choice
> [  206.434027] hub 4-0:1.0: USB hub found
> [  206.483726] hub 4-0:1.0: 2 ports detected
> [  206.537071] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
> [  206.626452] usb usb5: New USB device strings: Mfr=3, Product=2,
> SerialNumber=1
> [  206.721511] usb usb5: Product: OHCI Host Controller
> [  206.785661] usb usb5: Manufacturer: Linux 2.6.32-5-sparc64 ohci_hcd
> [  206.868146] usb usb5: SerialNumber: 0000:01:05.3
> [  206.945846] usb usb5: configuration #1 chosen from 1 choice
> [  207.020142] hub 5-0:1.0: USB hub found
> [  207.074466] hub 5-0:1.0: 4 ports detected
> [  255.161214] SCSI subsystem initialized
> [  255.191455] Initializing USB Mass Storage driver...
> [  255.191654] usbcore: registered new interface driver usb-storage
> [  255.192726] USB Mass Storage support registered.
> [  258.088311] eth0: Link is up at 100 Mbps, full-duplex.
> [  258.088328] eth0: Pause is disabled
> [  258.133052] eth1: Link is up at 100 Mbps, full-duplex.
> [  258.133071] eth1: Pause is disabled
> [  259.266698] eth0: Link is up at 100 Mbps, full-duplex.
> [  259.266717] eth0: Pause is disabled
> [  270.246218] eth0: Link is up at 100 Mbps, full-duplex.
> [  270.246237] eth0: Pause is disabled
> [  293.593968] lo: Disabled Privacy Extensions
> [  293.629428] eth0: Link is up at 100 Mbps, full-duplex.
> [  293.629445] eth0: Pause is disabled
> [  311.225451] lo: Disabled Privacy Extensions
> [  311.260996] eth0: Link is up at 100 Mbps, full-duplex.
> [  311.261015] eth0: Pause is disabled
> [  435.628895] alim15x3 0000:01:0d.0: IDE controller (0x10b9:0x5229
> rev 0xc3)
> [  435.628935] PCI: Enabling device: (0000:01:0d.0), cmd 5
> [  435.629060] alim15x3 0000:01:0d.0: 100% native mode on irq 8
> [  435.629083]     ide0: BM-DMA at 0x1fe02000420-0x1fe02000427
> [  435.629152]     ide1: BM-DMA at 0x1fe02000428-0x1fe0200042f
> [  435.629206] Probing IDE interface ide0...
> [  435.632190] ide0: no devices on the port
> [  435.633249] Probing IDE interface ide1...
> [  435.663719] PCI: Enabling device: (0000:02:08.0), cmd 147
> [  435.880411] sym0: <896> rev 0x7 at pci 0000:02:08.0 irq 11
> [  435.883300] sym0: No NVRAM, ID 7, Fast-40, LVD, parity checking
> [  435.890503] sym0: SCSI BUS has been reset.
> [  435.890564] scsi0 : sym-2.2.3
> [  435.892106] PCI: Enabling device: (0000:02:08.1), cmd 147
> [  436.108204] sym1: <896> rev 0x7 at pci 0000:02:08.1 irq 11
> [  436.111533] sym1: No NVRAM, ID 7, Fast-40, LVD, parity checking
> [  436.118701] sym1: SCSI BUS has been reset.
> [  436.118775] scsi1 : sym-2.2.3
> [  436.556103] ide0 at 0x1fe02000400-0x1fe02000407,0x1fe0200041a on irq 8
> [  436.556158] ide1 at 0x1fe02000410-0x1fe02000417,0x1fe0200040a on irq 8
> [  436.665718] libata version 3.00 loaded.
> [  438.901946] scsi 0:0:0:0: Direct-Access     SEAGATE
> ST318404LSUN18G  5221 PQ: 0 ANSI: 3
> [  438.901985] scsi target0:0:0: tagged command queuing enabled,
> command queue depth 16.
> [  438.902027] scsi target0:0:0: Beginning Domain Validation
> [  438.910250] scsi target0:0:0: FAST-40 WIDE SCSI 80.0 MB/s ST (25
> ns, offset 31)
> [  438.913914] scsi target0:0:0: Domain Validation skipping write tests
> [  438.913927] scsi target0:0:0: Ending Domain Validation
> [  438.923619] scsi 0:0:1:0: Direct-Access     HITACHI
> DK32EJ14NSUN146G PQ0B PQ: 0 ANSI: 3
> [  438.923640] scsi target0:0:1: tagged command queuing enabled,
> command queue depth 16.
> [  438.923673] scsi target0:0:1: Beginning Domain Validation
> [  438.948952] scsi target0:0:1: FAST-40 WIDE SCSI 80.0 MB/s ST (25
> ns, offset 31)
> [  438.961993] scsi target0:0:1: Domain Validation skipping write tests
> [  438.962005] scsi target0:0:1: Ending Domain Validation
> [  442.871430] sd 0:0:0:0: [sda] 35378533 512-byte logical blocks:
> (18.1 GB/16.8 GiB)
> [  442.875606] sd 0:0:0:0: [sda] Write Protect is off
> [  442.875623] sd 0:0:0:0: [sda] Mode Sense: cf 00 10 08
> [  442.877279] sd 0:0:1:0: [sdb] 286739329 512-byte logical blocks:
> (146 GB/136 GiB)
> [  442.878836] sd 0:0:0:0: [sda] Write cache: disabled, read cache:
> enabled, supports DPO and FUA
> [  442.883570]  sda:
> [  442.893149] sd 0:0:1:0: [sdb] Write Protect is off
> [  442.893165] sd 0:0:1:0: [sdb] Mode Sense: fb 00 10 08
> [  442.894816]  sda1 sda2 sda3 sda7
> [  442.900613] sd 0:0:1:0: [sdb] Write cache: disabled, read cache:
> enabled, supports DPO and FUA
> [  442.904536] sd 0:0:0:0: [sda] Attached SCSI disk
> [  442.923823]  sdb: sdb1 sdb2 sdb3 sdb4 sdb5 sdb6 sdb7 sdb8
> [  442.962062] sd 0:0:1:0: [sdb] Attached SCSI disk
> ~ #
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-sparc-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/4D53C2C3.6080406@oldelvet.org.uk

-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611314; Package kernel-wedge. (Sat, 19 Feb 2011 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 19 Feb 2011 23:21:03 GMT) Full text and rfc822 format available.

Message #24 received at 611314@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: debian-sparc@lists.debian.org, 611314@bugs.debian.org
Subject: Re: SunFire V120 and sym53c8xx (was Re: Unofficial Squeeze installer image available)
Date: Sat, 19 Feb 2011 23:20:05 +0000
On Sat, Feb 19, 2011 at 11:06:04PM +0000, Jurij Smakov wrote:
> On Thu, Feb 10, 2011 at 10:49:39AM +0000, Richard Mortimer wrote:
> > [Cc'd to 611314@bugs.debian.org]
> > 
> > On 10/02/2011 08:36, Jurij Smakov wrote:
> > >On Wed, Feb 09, 2011 at 11:07:49PM +0000, Richard Mortimer wrote:
> > >>On 09/02/2011 21:43, Jurij Smakov wrote:
> > ... snip ...
> > >>>
> > >>>http://www.wooyd.org/debian/squeeze/
> > >>>
> > ...
> > >
> > >Sure, I have just uploaded a netboot image to the same location.
> > >
> > >>>If you have encountered problems during Squeeze installation, please
> > >>>test this image and report the results, as a positive confirmation of
> > >>>fixes on a variety of different systems is essential for getting all
> > >>>these fixes into the first Squeeze point release.
> > >>>
> > >>I did spot a couple of issues with the installer when I gave squeeze
> > >>a try a couple of weeks back. I only got chance to file an
> > >>installation report about one of them
> > >>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611314
> > >>Its not a massive show stopper and has an easy workaround but if
> > >>that can be fixed then it will make others lives easier.
> > >
> > >Yeah, this bug was pointed out to me just yesterday. I don't know
> > >what's going on there yet, it appears that the PCI IDs of your
> > >card match the ones which are supported by the driver, so if module is
> > >not loaded at all there is probably something wrong with udev. At a
> > >point where it says it cannot detect the disks, can you drop back to
> > >shell and see whether the driver actually isn't loaded (as opposed to
> > >being loaded but failing to find the disks anyway)? Maybe there is
> > >something relevant showing up in dmesg or /var/log/messages?
> > >
> > >If not, I'll try to come up with some udev debugging commands to try
> > >and understand why this detection is failing.
> > 
> > I tested with your netboot image and it exhibits the same behaviour
> > as the official installer. The sym53c8xx driver does get loaded
> > automatically. I'm pretty sure that this is a timing issue. I
> > confirmed that all of the /dev/sd* files were present along with
> > /dev/disk/* entries.
> 
> Ok, I think the magic happens in the disk_found() function in 
> disk-detect.sh [0]. It looks like it will retry up to 3 times to see 
> whether devices have showed up (with list-devices disk), sleeping 2 
> seconds between attempts... If it takes up to 7 seconds for driver to 
> initialize itself, we might be cutting it just a bit too short. 
> Unfortunately, I don't see how we can test it easily, as neither 
> netboot image nor miniiso contain the udebs, they are downloaded off 
> the network.

Hm, if expert install mode offers an opportunity to drop to shell 
after udebs are downloaded, then we can probably replace the udeb 
containing disk-detect.sh with a modified one. Can you check whether 
it's possible?
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611314; Package kernel-wedge. (Sun, 20 Feb 2011 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Mortimer <richm@oldelvet.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 20 Feb 2011 14:33:02 GMT) Full text and rfc822 format available.

Message #29 received at 611314@bugs.debian.org (full text, mbox):

From: Richard Mortimer <richm@oldelvet.org.uk>
To: Jurij Smakov <jurij@wooyd.org>
Cc: debian-sparc@lists.debian.org, 611314@bugs.debian.org
Subject: Re: SunFire V120 and sym53c8xx
Date: Sun, 20 Feb 2011 14:28:42 +0000

On 19/02/2011 23:20, Jurij Smakov wrote:
> On Sat, Feb 19, 2011 at 11:06:04PM +0000, Jurij Smakov wrote:
>> On Thu, Feb 10, 2011 at 10:49:39AM +0000, Richard Mortimer wrote:
>>> [Cc'd to 611314@bugs.debian.org]
>>>
...
>>> I tested with your netboot image and it exhibits the same behaviour
>>> as the official installer. The sym53c8xx driver does get loaded
>>> automatically. I'm pretty sure that this is a timing issue. I
>>> confirmed that all of the /dev/sd* files were present along with
>>> /dev/disk/* entries.
>>
>> Ok, I think the magic happens in the disk_found() function in
>> disk-detect.sh [0]. It looks like it will retry up to 3 times to see
>> whether devices have showed up (with list-devices disk), sleeping 2
>> seconds between attempts... If it takes up to 7 seconds for driver to
>> initialize itself, we might be cutting it just a bit too short.
>> Unfortunately, I don't see how we can test it easily, as neither
>> netboot image nor miniiso contain the udebs, they are downloaded off
>> the network.
>
> Hm, if expert install mode offers an opportunity to drop to shell
> after udebs are downloaded, then we can probably replace the udeb
> containing disk-detect.sh with a modified one. Can you check whether
> it's possible?

Yeah I can use "Go Back" at Set up users and passwords to get to the 
installer main menu and then drop to a shell.

I can likely modify any scripts in place if you give me pointers to what 
you would like to change/test.

To get things started I tried changing the number of retries from 3 to 8 
with

sed -i 's/1 2 3/1 2 3 4 5 6 7 8/' /bin/disk-detect

This detected the disks just fine.

Regards

Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#611314; Package kernel-wedge. (Sun, 20 Feb 2011 15:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 20 Feb 2011 15:27:07 GMT) Full text and rfc822 format available.

Message #34 received at 611314@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Richard Mortimer <richm@oldelvet.org.uk>
Cc: debian-sparc@lists.debian.org, 611314@bugs.debian.org
Subject: Re: SunFire V120 and sym53c8xx
Date: Sun, 20 Feb 2011 15:25:33 +0000
On Sun, Feb 20, 2011 at 02:28:42PM +0000, Richard Mortimer wrote:
> 
> 
> On 19/02/2011 23:20, Jurij Smakov wrote:
> >On Sat, Feb 19, 2011 at 11:06:04PM +0000, Jurij Smakov wrote:
> >>On Thu, Feb 10, 2011 at 10:49:39AM +0000, Richard Mortimer wrote:
> >>>[Cc'd to 611314@bugs.debian.org]
> >>>
> ...
> >>>I tested with your netboot image and it exhibits the same behaviour
> >>>as the official installer. The sym53c8xx driver does get loaded
> >>>automatically. I'm pretty sure that this is a timing issue. I
> >>>confirmed that all of the /dev/sd* files were present along with
> >>>/dev/disk/* entries.
> >>
> >>Ok, I think the magic happens in the disk_found() function in
> >>disk-detect.sh [0]. It looks like it will retry up to 3 times to see
> >>whether devices have showed up (with list-devices disk), sleeping 2
> >>seconds between attempts... If it takes up to 7 seconds for driver to
> >>initialize itself, we might be cutting it just a bit too short.
> >>Unfortunately, I don't see how we can test it easily, as neither
> >>netboot image nor miniiso contain the udebs, they are downloaded off
> >>the network.
> >
> >Hm, if expert install mode offers an opportunity to drop to shell
> >after udebs are downloaded, then we can probably replace the udeb
> >containing disk-detect.sh with a modified one. Can you check whether
> >it's possible?
> 
> Yeah I can use "Go Back" at Set up users and passwords to get to the
> installer main menu and then drop to a shell.
> 
> I can likely modify any scripts in place if you give me pointers to
> what you would like to change/test.
> 
> To get things started I tried changing the number of retries from 3
> to 8 with
> 
> sed -i 's/1 2 3/1 2 3 4 5 6 7 8/' /bin/disk-detect

Thanks, that's the confirmation I was looking for. We are going to 
push a patch for this to 6.0.1 as it is fairly non-controversial.
 
> This detected the disks just fine.
> 
> Regards
> 
> Richard

-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Added tag(s) pending. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 16:09:03 GMT) Full text and rfc822 format available.

Reply sent to Jurij Smakov <jurij@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 13:21:25 GMT) Full text and rfc822 format available.

Notification sent to Richard Mortimer <richm@oldelvet.org.uk>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 13:21:25 GMT) Full text and rfc822 format available.

Message #41 received at 611314-close@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@debian.org>
To: 611314-close@bugs.debian.org
Subject: Bug#611314: fixed in hw-detect 1.85
Date: Sun, 27 Feb 2011 13:17:49 +0000
Source: hw-detect
Source-Version: 1.85

We believe that the bug you reported is fixed in the latest version of
hw-detect, which is due to be installed in the Debian FTP archive:

archdetect_1.85_i386.udeb
  to main/h/hw-detect/archdetect_1.85_i386.udeb
disk-detect_1.85_all.udeb
  to main/h/hw-detect/disk-detect_1.85_all.udeb
driver-injection-disk-detect_1.85_all.udeb
  to main/h/hw-detect/driver-injection-disk-detect_1.85_all.udeb
ethdetect_1.85_all.udeb
  to main/h/hw-detect/ethdetect_1.85_all.udeb
hw-detect_1.85.dsc
  to main/h/hw-detect/hw-detect_1.85.dsc
hw-detect_1.85.tar.gz
  to main/h/hw-detect/hw-detect_1.85.tar.gz
hw-detect_1.85_i386.udeb
  to main/h/hw-detect/hw-detect_1.85_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611314@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jurij Smakov <jurij@debian.org> (supplier of updated hw-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 27 Feb 2011 12:33:23 +0000
Source: hw-detect
Binary: hw-detect ethdetect disk-detect driver-injection-disk-detect archdetect
Architecture: source i386 all
Version: 1.85
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Jurij Smakov <jurij@debian.org>
Description: 
 archdetect - Hardware architecture detector (udeb)
 disk-detect - Detect disk drives (udeb)
 driver-injection-disk-detect - Detect OEM driver injection disks (udeb)
 ethdetect  - Detect network hardware and load kernel drivers for it (udeb)
 hw-detect  - Detect hardware and load kernel drivers for it (udeb)
Closes: 525902 525946 593108 606984 611314
Changes: 
 hw-detect (1.85) unstable; urgency=low
 .
   * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
     #525902, #525946, #606984.
     Thanks to Risto Suominen <risto.suminen@gmail.com>.
   * Install mmc-modules if no disk is found, since some devices may not
     have hard drives, but SD slots instead. Closes: #593108
   * Increase the number of attempts to detect the new disk devices in
     disk_found() of disk-detect.sh to 15, bringing the total waiting time
     to 28 seconds. Current timeout of 4 seconds is not sufficient for
     some SCSI subsystems with long driver/disk initialization time.
     Closes: #611314
Checksums-Sha1: 
 5d89db4da3ae895fa2d1e4ca6eec749897527034 1041 hw-detect_1.85.dsc
 64fd5fe0d791fa05ba580df0313770022fc8dbe4 194088 hw-detect_1.85.tar.gz
 ab4c6ee196079700ef57d91f5563d41a035bd9fe 104330 hw-detect_1.85_i386.udeb
 8ea86266a86884b0f91cb417c065be79c0729ad5 29282 ethdetect_1.85_all.udeb
 fca338065872b768d6f6bc16f0438df033071dd7 22624 disk-detect_1.85_all.udeb
 96db95f6fdf72336c3a0ccd439dbfdea8e852e57 12236 driver-injection-disk-detect_1.85_all.udeb
 5dd9b806d9e5c52ddde655a61ca97df779f02aa3 2304 archdetect_1.85_i386.udeb
Checksums-Sha256: 
 65c71efe851cba19859a74cc5c57a1512e577beb6ba905840103a05b9e5035ad 1041 hw-detect_1.85.dsc
 9e06d49e9b62eeb628334097164236f02f0fb1f9d704a74f30bd5b088316389f 194088 hw-detect_1.85.tar.gz
 a67652e30cc9bd692a86ed0108feb51860a6975307f81db1ddabbb1e459ca9fe 104330 hw-detect_1.85_i386.udeb
 932caa236ee567aa021c0d0039625c461b33386c19a763ea0f0412653daf6f8a 29282 ethdetect_1.85_all.udeb
 4f273e8b984f680f378f3d18919e69e6b84e57e32989d50c8391cb31a3aa0aa7 22624 disk-detect_1.85_all.udeb
 59587c656e1eb69bc3963bbfb4fc589d83ccf0eec85cea4ee4c9deef46d48f09 12236 driver-injection-disk-detect_1.85_all.udeb
 87bd6c658f368ce0e5dacc4a53b91d1810b05149126978643e06898389374b32 2304 archdetect_1.85_i386.udeb
Files: 
 3cb524f6a6eeda353327778824e14e38 1041 debian-installer standard hw-detect_1.85.dsc
 c3876ffc0f1e42f81631b26ca3916465 194088 debian-installer standard hw-detect_1.85.tar.gz
 1f8f015a07722308028b8f44454b757b 104330 debian-installer standard hw-detect_1.85_i386.udeb
 8dbee6714b0f3b9a488ee8d431374dc2 29282 debian-installer optional ethdetect_1.85_all.udeb
 319bcb9ec9590fedf2cdb6d1cc60a341 22624 debian-installer optional disk-detect_1.85_all.udeb
 4668292ab46deb70b78f7bb2fc863ddf 12236 debian-installer optional driver-injection-disk-detect_1.85_all.udeb
 e9b6758f0fca69962633f9fadb50c994 2304 debian-installer standard archdetect_1.85_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1qSAUACgkQjjectMmeA8yKEACfZgfVoGZUYBpITrg+qBWJtxIW
bEkAoKI2Po5xnEUZdBX2pJ8U0JUnOB3c
=0J+7
-----END PGP SIGNATURE-----





Reply sent to Jurij Smakov <jurij@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 13:21:26 GMT) Full text and rfc822 format available.

Notification sent to Hermann Lauer <Hermann.Lauer@iwr.uni-heidelberg.de>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 13:21:26 GMT) Full text and rfc822 format available.

Reply sent to Jurij Smakov <jurij@debian.org>:
You have taken responsibility. (Sun, 27 Feb 2011 13:21:27 GMT) Full text and rfc822 format available.

Notification sent to Nicolás Nocetti <uclanoc@adinet.com.uy>:
Bug acknowledged by developer. (Sun, 27 Feb 2011 13:21:27 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sat, 12 Mar 2011 14:18:21 GMT) Full text and rfc822 format available.

Notification sent to Richard Mortimer <richm@oldelvet.org.uk>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 14:18:21 GMT) Full text and rfc822 format available.

Message #56 received at 611314-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 611314-close@bugs.debian.org
Subject: Bug#611314: fixed in hw-detect 1.84+squeeze1
Date: Sat, 12 Mar 2011 14:16:15 +0000
Source: hw-detect
Source-Version: 1.84+squeeze1

We believe that the bug you reported is fixed in the latest version of
hw-detect, which is due to be installed in the Debian FTP archive:

archdetect_1.84+squeeze1_amd64.udeb
  to main/h/hw-detect/archdetect_1.84+squeeze1_amd64.udeb
disk-detect_1.84+squeeze1_all.udeb
  to main/h/hw-detect/disk-detect_1.84+squeeze1_all.udeb
driver-injection-disk-detect_1.84+squeeze1_all.udeb
  to main/h/hw-detect/driver-injection-disk-detect_1.84+squeeze1_all.udeb
ethdetect_1.84+squeeze1_all.udeb
  to main/h/hw-detect/ethdetect_1.84+squeeze1_all.udeb
hw-detect_1.84+squeeze1.dsc
  to main/h/hw-detect/hw-detect_1.84+squeeze1.dsc
hw-detect_1.84+squeeze1.tar.gz
  to main/h/hw-detect/hw-detect_1.84+squeeze1.tar.gz
hw-detect_1.84+squeeze1_amd64.udeb
  to main/h/hw-detect/hw-detect_1.84+squeeze1_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611314@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated hw-detect package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 11 Mar 2011 19:58:14 -0300
Source: hw-detect
Binary: hw-detect ethdetect disk-detect driver-injection-disk-detect archdetect
Architecture: source amd64 all
Version: 1.84+squeeze1
Distribution: squeeze
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 archdetect - Hardware architecture detector (udeb)
 disk-detect - Detect disk drives (udeb)
 driver-injection-disk-detect - Detect OEM driver injection disks (udeb)
 ethdetect  - Detect network hardware and load kernel drivers for it (udeb)
 hw-detect  - Detect hardware and load kernel drivers for it (udeb)
Closes: 525902 525946 606984 611314
Changes: 
 hw-detect (1.84+squeeze1) squeeze; urgency=low
 .
   [ Jurij Smakov ]
   * Increase the number of attempts to detect the new disk devices in
     disk_found() of disk-detect.sh to 15, bringing the total waiting time
     to 28 seconds. Current timeout of 4 seconds is not sufficient for
     some SCSI subsystems with long driver/disk initialization time.
     Closes: #611314
 .
   [ Miguel Figueircedo ]
   * discover-mac-io.sh: Fix module loading for Ibook G4 (powermac). Closes:
     #525902, #525946, #606984.
     Thanks to Risto Suominen <risto.suminen@gmail.com>.
 .
   [ Otavio Salvador ]
   * Blacklist snd-aoa to allow snd-powermac to work. Refs: #606984.
Checksums-Sha1: 
 9982250ae2c867467d2eafc5dd88888731e282f8 1745 hw-detect_1.84+squeeze1.dsc
 d286605a0abd2ee9c548c35d4c6008fd516729b7 2853933 hw-detect_1.84+squeeze1.tar.gz
 04abc82c37aba5a5efb11f2827dfa246ae3326c6 104288 hw-detect_1.84+squeeze1_amd64.udeb
 c037e18cb0aebc6a8ccf284d359c83fbb4d9c654 29292 ethdetect_1.84+squeeze1_all.udeb
 74e123217850b3a8030939f74d30a23e5379bb35 22548 disk-detect_1.84+squeeze1_all.udeb
 2694ffc83c6462553078bf8650c3a079aff61fdf 12078 driver-injection-disk-detect_1.84+squeeze1_all.udeb
 ef2079f895f006470a7c6fb0af6629d5346bff5b 2552 archdetect_1.84+squeeze1_amd64.udeb
Checksums-Sha256: 
 31e7b27654e2f931c6450b0303cdcf7c77cf04d7ec32ec0c2d1cf3a4528cd120 1745 hw-detect_1.84+squeeze1.dsc
 74f02c41cfe25cf4f8f7248dcb4af011e415230212a54f1e3d69c7759658ad9c 2853933 hw-detect_1.84+squeeze1.tar.gz
 80d23aeee2a883f42fd95ff6ca801559731330dbb50c5937a38cf204b89f37bc 104288 hw-detect_1.84+squeeze1_amd64.udeb
 cdef130f8b302152e4b9769714c3b2beef4a5aacefbd3cce5d4693120d3f127e 29292 ethdetect_1.84+squeeze1_all.udeb
 fdc245d6980e4e49cf4ee0f38e8f6a99f4b3162b3b89b3a529503a373457d930 22548 disk-detect_1.84+squeeze1_all.udeb
 ca2642192526628cf977f1f91d6f6b8570f9f5c05338a724ed56e9ac7ff7b5c5 12078 driver-injection-disk-detect_1.84+squeeze1_all.udeb
 5ded2b4516cdde113acfdaa5069d92e007dd9479ece64680e24a7ccae2088d99 2552 archdetect_1.84+squeeze1_amd64.udeb
Files: 
 1922b8c74e5ba1f2b0762b07b2946490 1745 debian-installer standard hw-detect_1.84+squeeze1.dsc
 ebeba6a20de3695ad4c54ee93dac7187 2853933 debian-installer standard hw-detect_1.84+squeeze1.tar.gz
 f21e9952f16bfc9223c4860a10506f7e 104288 debian-installer standard hw-detect_1.84+squeeze1_amd64.udeb
 2f4121c6a5d6d3667850ce6e7ac9b2fd 29292 debian-installer optional ethdetect_1.84+squeeze1_all.udeb
 52fd13ba755b3d919a1d7a6027465e86 22548 debian-installer optional disk-detect_1.84+squeeze1_all.udeb
 779734777251bcf99f866c13e9858647 12078 debian-installer optional driver-injection-disk-detect_1.84+squeeze1_all.udeb
 4a91f45251cda26ce2c09ef40d81b422 2552 debian-installer standard archdetect_1.84+squeeze1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNeqwsAAoJEOtw/vPN/G5PkIcQAJggJUJrf0jZpmfplCe76fXm
R33lzGFial04E5WJ0U8s1uQqHiH5Sj5qUpw60sElxNoWKXVYjaeRn0kk4H5Xyjun
ZvBzYNzH/1gS22g6HQNd11gUuOXVUASiqH9hnym3lcqsThlqUKEF95fmhKN6dZt2
t5t3+fhhMCqg4IuhXwg6+FM39oexrirPjpcu0RX9EfdAlAnxgqHFWKy2G//Ih5qQ
+61JdWu6GQPMx0eVLHKNH5qB3jBNzsifWYUECpqdhaSFQ9rhjlaxOk/JN60u1Zp5
sA9072CSWvODaeNHH+K1PgRXini1LxUDf/l9pNcDIRQRyEBB4SAxkKS7K6AjYt0L
TJeOG0xNIUvtuHdDsvM/qQDECfRed9bwtR302ZqHoz+hR74o3uv/r2rYuvLFz+KO
H96KhhgY4O6052smaUV4TBvbOw6qNpykyVqnugJO5RJUJid8XWAbHYGf8pfWgWPC
/HdJ8vPOxnade3zq/eMIx34YbqITDQ+MBVly7Z5c5fRy7yJAT2Pnnf6UCYaDuvkc
mzr4ls+PcCrya2lgvpBCOdFqaPvX7UGd6U7AmxTekm+d4+rQyS7UBbMxXRLlQV6P
qbMyGJHmtNG4fvWEocB2P7SxjZKv0+HW43IHL0hhvEWJFQE3KhN6e1MRsG6JWxOF
GmOXySWiXviEb8bCNr8g
=RlR0
-----END PGP SIGNATURE-----





Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sat, 12 Mar 2011 14:18:22 GMT) Full text and rfc822 format available.

Notification sent to Hermann Lauer <Hermann.Lauer@iwr.uni-heidelberg.de>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 14:18:22 GMT) Full text and rfc822 format available.

Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Sat, 12 Mar 2011 14:18:23 GMT) Full text and rfc822 format available.

Notification sent to Nicolás Nocetti <uclanoc@adinet.com.uy>:
Bug acknowledged by developer. (Sat, 12 Mar 2011 14:18:23 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Apr 2011 07:40:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:48:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.